View Single Post
  #2  
Old 07-02-2017, 05:32 PM
Marabekm Marabekm is offline
Approved Member
 
Join Date: May 2013
Location: USA
Posts: 226
Default

I recommend patching the game up to 4.12.2. After that, if you want to use the Mods, stay there. HSFX and UP3 are common mods. Unfortunatly I don't know where to download them.

Alternatively, if you want, you can patch up to the current version 4.13.4. But remember anything above 4.12.2 doesn't work with the mods. So you may want to have to different copies of the game. 1 for mods and 1 for not.

Also I would look at downloading hyperlobby. Many of the remaining IL2 players can be found there, for playing online. And teamspeak wouldn't hurt either if you have a microphone.
Reply With Quote